# struct XML::Namespace

- XML::Namespace
- Struct
- Value
- Object

## Defined in:

## Constructors

- .new(document : Node, ns : Pointer(LibXML::NS))

## Instance Method Summary

- #document : Node
- #hash(hasher)

  See `Object#hash(hasher)`

- #href
- #inspect(io)
- #object_id
- #prefix
- #to_s(io)

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io) to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO)
inspect inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s
to_s(io : IO) to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(document : Node, ns : Pointer(LibXML::NS)) #

## Instance Method Detail

def document : Node #
def hash(hasher) #

See `Object#hash(hasher)`

def href #
def inspect(io) #
def object_id #
def prefix #
def to_s(io) #